| Kea 3.0.2-git

cfg_option_def.h File Reference
`#include <dhcp/option_definition.h>`
`#include <dhcp/option_space_container.h>`
`#include <cc/cfg_to_element.h>`
`#include <string>`
Include dependency graph for cfg_option_def.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::CfgOptionDef
| Represents option definitions used by the DHCP server. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
Pointers to the @c CfgOptionDef objects.
typedef boost::shared_ptr< CfgOptionDef > | isc::dhcp::CfgOptionDefPtr
| Non-const pointer.
typedef boost::shared_ptr< const CfgOptionDef > | isc::dhcp::ConstCfgOptionDefPtr
| Const pointer.